plugins {
    id "org.jetbrains.kotlin.multiplatform"
    id "org.jetbrains.kotlin.plugin.serialization"
}

apply from: "$mppJavaProjectPresetPath"

kotlin {
    sourceSets {
        commonMain {
            dependencies {
                api project(":postssystem.features.common.common")
                api libs.microutils.repos.exposed
                api libs.microutils.repos.ktor.server
                api libs.microutils.ktor.server
            }
        }
        jvmMain {
            dependencies {
                api "io.ktor:ktor-auth:$ktor_version"
                api "ch.qos.logback:logback-classic:$logback_version"
            }
        }
    }
}
